> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cativa.digital/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar um paywall existente (admin)



## OpenAPI

````yaml /openapi/tenant.pt-BR.json put /api/v2/admin/monetization/paywalls/{paywallId}
openapi: 3.0.1
info:
  title: Cativa Tenant API (public)
  version: public
servers:
  - url: https://apis.cativalab.digital/tenant
security: []
paths:
  /api/v2/admin/monetization/paywalls/{paywallId}:
    put:
      tags:
        - Paywall
      summary: Atualizar um paywall existente (admin)
      operationId: Admin_UpdatePaywall
      parameters:
        - name: paywallId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Cativa.Monetization.Paywall.Application.Requests.Paywall.Admin.UpdatePaywall.UpdatePaywallRequest
        required: true
      responses:
        '200':
          description: OK
      security:
        - Bearer: []
components:
  schemas:
    Cativa.Monetization.Paywall.Application.Requests.Paywall.Admin.UpdatePaywall.UpdatePaywallRequest:
      type: object
      properties:
        paywallId:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
        customLink:
          type: string
          nullable: true
        price:
          type: number
          format: double
        actionType:
          $ref: >-
            #/components/schemas/Cativa.Monetization.Paywall.Domain.Enums.EPaywallActionType
        description:
          type: string
          nullable: true
        discountPercentage:
          type: integer
          format: int32
        discountedPrice:
          type: number
          format: double
          nullable: true
        maxInstallments:
          type: integer
          format: int32
        accessMonths:
          type: integer
          format: int32
          nullable: true
        removeAfterExpiration:
          type: boolean
        actionPayload:
          type: string
          nullable: true
        allowExternalPurchase:
          type: boolean
        externalCheckoutUrl:
          type: string
          nullable: true
        openingLink:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        isActive:
          type: boolean
        allowPix:
          type: boolean
        allowCreditCard:
          type: boolean
        allowBoleto:
          type: boolean
        notifyAllAdmins:
          type: boolean
        paymentMode:
          $ref: >-
            #/components/schemas/Cativa.Monetization.Paywall.Domain.Enums.EPaymentMode
        billingCycle:
          $ref: >-
            #/components/schemas/Cativa.Monetization.Paywall.Domain.Enums.EBillingCycle
        trialDays:
          type: integer
          format: int32
          nullable: true
        graceDays:
          type: integer
          format: int32
        maxBillingCycles:
          type: integer
          format: int32
          nullable: true
      additionalProperties: false
    Cativa.Monetization.Paywall.Domain.Enums.EPaywallActionType:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 6
      type: integer
      format: int32
    Cativa.Monetization.Paywall.Domain.Enums.EPaymentMode:
      enum:
        - 0
        - 1
      type: integer
      format: int32
    Cativa.Monetization.Paywall.Domain.Enums.EBillingCycle:
      enum:
        - 0
        - 1
        - 3
        - 6
        - 12
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer
        <token>.
      scheme: bearer
      bearerFormat: JWT

````